Problem with self-compiled Elmer on Debian 9 with MUMPS and MPI

Discussion about building and installing Elmer
Post Reply
flowwolf
Posts: 7
Joined: 14 Dec 2016, 01:39
Antispam: Yes

Problem with self-compiled Elmer on Debian 9 with MUMPS and MPI

Post by flowwolf » 17 May 2019, 06:31

Dear guys,

I've already posted this issue here: viewtopic.php?t=6664

I've been trying to self-compile Elmer on a Debian system for Linux and Windows (cross-compiling with MingW and Cygwin) with MPI and MUMPS, but it crashes when called with 'mpirun -np 2' or 'mpiexec -np 2'. Both the Linux and Windows variants crash (HelmholtzStructure2 for example).
It works when called as 'mpirun -np 1' or 'mpiexec -np 1'.

Basically, I've tried many options, both with pre-compiled MUMPS,SCOTCH,PTSCOTCH,METIS,PARMETIS debs, with the self-compiled version of these libraries, with mpicc,OpenMPI,MPICH,MSMPI and with MingW and Cygwin.
None of these worked. The MPICH and MSMPI versions didn't work (Windows).

The following libraries were used:
- OpenBLAS-0.3.6
- scalapack-2.0.2
- scotch-6.0.6
- metis-5.1.0
- parmetis-4.0.3
- MUMPS-5.2.0

Does anyone have any experience with this (Debian+MPI+MUMPS?) or any suggestions what could be wrong?

The compilation procedure wasn't straightforward everywhere, but Elmer always crashed at the same location,

Regards,
flowwolf

Post Reply